List post comments or reactions
Reads engagement on a social post: kind=comments (default) lists the post's comments, kind=reactions lists who reacted to the post, or set commentId to list reactions on that specific comment (kind is ignored). Requires a connected LinkedIn or Instagram account.
Authorization
apiKeyAuth x-api-key<token>
API key authentication. Create an API key in your user profile and include it in the x-api-key header.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/api/v1/messaging/social-post-engagement/search" \ -H "Content-Type: application/json" \ -d '{ "connectedAccountId": "ac03972a-5ca5-43c5-b96f-c519ac843b7a", "postId": "string" }'{
"data": [
{
"object": "Comment",
"id": "string",
"thread_id": "string",
"created_at": "string",
"text": "string",
"is_sender": true,
"reply_counter": 0,
"impressions_counter": 0,
"reactions_counter": [
{
"reaction": "string",
"count": 0,
"property1": null,
"property2": null
}
],
"author": {
"id": "string",
"object": "User",
"type": "individual",
"public_identifier": "string",
"display_name": "string",
"first_name": "string",
"last_name": "string",
"profile_url": "string",
"public_picture_url": "string",
"private_picture_download_url": "string",
"description": "string",
"specifics": {
"headline": "string",
"occupation": "string",
"industry": "string",
"location": "string",
"network_distance": "string",
"phone_number": "string",
"property1": null,
"property2": null
},
"property1": null,
"property2": null
},
"property1": null,
"property2": null
}
],
"total_count": 0,
"next_cursor": "string",
"property1": null,
"property2": null
}"string""string""string""string"